$out_dir = "xsd10";
$xsl = resolve-path "convert_to_xsd10.xsl";

New-Item -Name $out_dir -ItemType directory -Force | Out-Null;
$t = resolve-path $out_dir

$xslt = New-Object System.Xml.Xsl.XslCompiledTransform;
$xslt.Load($xsl);

$in_dir = resolve-path ".";

Get-ChildItem $in_dir -Filter *.xsd | Foreach-Object {
    $xslt.Transform($_.FullName, "$t\$_");
}

Write-Host "Press any key to continue ..."
$x = $host.UI.RawUI.ReadKey("NoEcho,IncludeKeyDown")
